Online Banking Browser Requirements

To support the security measures we have in place to keep your data safe, we require the use of a modern browser. Online banking is supported by the following browsers:

Microsoft Internet Explorer
Only version 11 will be supported. Any older version of Internet Explorer may be denied access.

Microsoft Edge
Microsoft Edge will be supported at the latest version only. Access may be denied to older versions 60 days after a new version is released.

Google Chrome
Chrome should automatically update and major updates are released approximately every 12 weeks. If Chrome is two versions older than the current
stable channel version, access may be denied.

Mozilla FireFox
FireFox should automatically update. If FireFox is two versions older than the current stable channel version, access may be denied.

Apple Safari
Safari currently only sees major upgrades during the fall. Access may be denied to older versions 60 days after a new version is released. However this change requires that the new Safari version is available on both MacOS and iOS devices.

  • Online banking can be accessed through Safari; however, ESI and iPay customers may experience difficulty as cookie detection is disabled. To work around this issue within online banking, click “preferences” and navigate to the “privacy” tab.

Have Questions? Get In Touch

phone icon540-896-8941